<?php
/* config.example.php - example configuration - ZNCAdmin
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */

$zncservers = array(
    array(
        "name" => "znc1", //name of the Server (is shown in whois and used to identify multiple used usernames)
        "version" => 1.000, //Version of the ZNC instance 
        "host" => "127.0.0.1", //host to connect to (is not shown to the user)
        "public" => "znc1.example.net", //Public address used in the add reply
        "port" => 8000, //NORMAL ZNC Port
        "sslport" => 8100, //SSL Port (only shown in the add reply)
        
        //ADMIN USER  This User is required to interact with the ZNC
        "auser" => "admin",
        "apass" => "bad-password",
        
        "maxznc" => 0, //Maximum ZNC's that can be created on this Server
        "priority" => 0, //ADD priority
        "protected" => false, //Protect Server from "normal" commands (require admin commands with the force parameter)
    ),
    array(
        "name" => "znc2",
        "version" => 0.206, //Version of the ZNC instance 
        "host" => "127.0.0.1",
        "public" => "znc2.example.net",
        "port" => 8001,
        "sslport" => 8101,
        "auser" => "admin",
        "apass" => "bad-password",
        "maxznc" => 50,
        "priority" => 0,
        "protected" => true,
    ),
);

$add_settings = array(
    "other" => array(
        "multiclients" => "1",
        "prependtimestamp" => "1",
        "bufsize" => 100,
        "quitmsg" => "Free ZNC by #Krypton - http://krypton-bouncer.de",
        "realname" => "ZNC powered by #Krypton"
    ),
    "servers" => array(
        "irc.onlinegamesnet.net 6667"
    ),
    "channel" => array(
        "#Krypton"
    ),
    "mirccmds" => array(
        "hosts" => array(
            "free-bnc.de",
            "krypton-bouncer.de"
        ),
        "groupname" => "KryptonZNC"
    ),
    "modules" => array(
        "chansaver" => "",
        "perform" => "",
    ),
	"netmodules" => array(
		"autocycle" => "",
		"awaynick" => "%nick%|ZNC",
		"simple_away" => ""
		"kickrejoin" => "",
		"keepnick" => "",
	),
);

?>